aboutsummaryrefslogtreecommitdiffstats
path: root/community/mpdscribble/mpdscribble.initd
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2017-10-19 11:44:56 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2017-10-19 12:19:07 +0200
commit7f392d58565b1aa848487cd5d61ccc147ed051f2 (patch)
treec8be40b5ae9988f62d90a05699f451b38f61a5db /community/mpdscribble/mpdscribble.initd
parent12435221077aa79f71953ff0edc0cd4b734bf45a (diff)
downloadaports-7f392d58565b1aa848487cd5d61ccc147ed051f2.tar.bz2
aports-7f392d58565b1aa848487cd5d61ccc147ed051f2.tar.xz
community/mpdscribble: move from main
Diffstat (limited to 'community/mpdscribble/mpdscribble.initd')
-rw-r--r--community/mpdscribble/mpdscribble.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/community/mpdscribble/mpdscribble.initd b/community/mpdscribble/mpdscribble.initd
new file mode 100644
index 0000000000..ac8a41e68f
--- /dev/null
+++ b/community/mpdscribble/mpdscribble.initd
@@ -0,0 +1,20 @@
+#!/sbin/openrc-run
+
+depend() {
+ need net
+ use mpd
+}
+
+start () {
+
+ ebegin "Starting Music Player Daemon Audioscrobbler client"
+ start-stop-daemon --start --exec /usr/bin/mpdscribble -- --pidfile /var/run/mpdscribble.pid
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping Music Player Daemon Audioscrobbler client"
+ start-stop-daemon --stop --quiet -p /var/run/mpdscribble.pid --exec /usr/bin/mpdscribble || eerror "mpdscribble is not running"
+ rm -f /var/run/mpdscribble.pid
+ eend $?
+}